Skip to content
POST /unified/ticketing/tickets/import

Query Parameters

Refer Specifying query parameters in Truto APIs

Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Request Body

Refer Writing data using Unified APIs

remote_dataRecord<string, any>

Any additional data that should be passed as part of the request body. This data is not transformed by Truto and is passed as is to the remote API.

Response Body

idstring
required·

The unique identifier for a ticket

accountobject

Account associated with the ticket

References: Accounts → id
idstring

The unique identifier for a contact

additional_contactsobject[]

Additional Contacts associated with the ticket

References: Contacts → id
emailsobject[]

The emails of the contact

2 properties
emailstring
required·

The email of the contact

typestring

The type of the email

first_namestring

The first name of the contact

idstring

The unique identifier for a contact

last_namestring

The last name of the contact

namestring

The name of the contact

phonesobject[]

The contact's phone number

2 properties
numberstring
required·

The contact's phone number

typestring

The type of phone number

assigneesobject[]

Users assigned to the ticket

References: Users → id
emailsobject[]

The user's email addresses

2 properties
emailstring
required·

The user's email address

typestring

The type of email address

first_namestring

The first name of the user

idstring

The unique identifier for a user

last_namestring

The last name of the user

namestring

The name of the user

phonesobject[]

The user's phone number

2 properties
numberstring
required·

The user's phone number

typestring

The type of phone number

attachmentsobject[]

Attachments associated with the ticket

References: Attachments → id
file_namestring

The name of the attachment

file_urlstring

The url of the attachment

idstring

The unique identifier for an attachment

collectionsobject[]

Collections associated with the ticket

References: Collections → id
idstring

The unique identifier for a collection

namestring

The name of the collection

typestring

The type of the collection

completed_atstring · date-time

Time at which the ticket was completed

contactobject

Contact associated with the ticket

References: Contacts → id
emailsobject[]

The emails of the contact

2 properties
emailstring
required·

The email of the contact

typestring

The type of the email

first_namestring

The first name of the contact

idstring

The unique identifier for a contact

last_namestring

The last name of the contact

namestring

The name of the contact

phonesobject[]

The contact's phone number

2 properties
numberstring
required·

The contact's phone number

typestring

The type of phone number

conversationsobject[]

Conversations associated with the ticket

idstring

The unique identifier for a conversation

namestring

The name of the conversation

typestring

The type of the conversation

created_atstring · date-time

Time at which the ticket was created

created_byobject

User or contact who created the ticket

idstring

The unique identifier for a user

namestring

The name of the user

typestring

The type of the user

Possible values:
usercontact
custom_fieldsRecord<string, any>

All the custom fields present on the ticket

descriptionstring

Description of the ticket

due_datestring · date-time

Due date of the ticket

etagstring

The unique identifier for the specific version of the resource.

is_unreadboolean

Whether the ticket is unread

languagesstring[]

Languages of the ticket

namestring

The name of the ticket

numberstring

An optional ticket number maintained by the system.

parent_ticketobject

Parent ticket associated with the ticket

References: Tickets → id
idstring

The unique identifier for a ticket

namestring

The name of the ticket

priorityobject

Priority of the ticket

idstring

The unique identifier for a priority

namestring

The name of the priority

remote_dataRecord<string, any>

Raw data returned from the remote API call.

sourceobject

The source of the ticket

idstring

The unique identifier for a source

namestring

The name of the source

statusobject

The status of the ticket

idstring

The unique identifier for a status

namestring

The name of the status

Possible values:
activeclosedopenpendingspamresolvedarchiveddeletedcompleted
tagsobject[]

Tags associated with the ticket

References: Tags → id
idstring

The unique identifier for a tag

namestring

The name of the tag

teamobject

Team associated with the ticket

References: Teams → id
idstring

The unique identifier for a team

namestring

The name of the team

ticket_typeobject

Type of the ticket

References: TicketTypes → id
idstring

The unique identifier for a ticket type

namestring

The name of the ticket type

ticket_urlstring

URL of the ticket

updated_atstring · date-time

Time at which the ticket was last updated

workspaceobject

Workspace associated with the ticket

References: Workspaces → id
idstring

The unique identifier for a workspace

namestring

The name of the workspace

curl -X POST 'https://api.truto.one/unified/ticketing/tickets/import?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json' \
  -d '{
  "remote_data": {}
}'
const integratedAccountId = '<integrated_account_id>';

const body = {
  "remote_data": {}
};

const response = await fetch(`https://api.truto.one/unified/ticketing/tickets/import?integrated_account_id=${integratedAccountId}`, {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify(body),
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/ticketing/tickets/import"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}
payload = {
    "remote_data": {}
}

response = requests.post(url, headers=headers, params=params, json=payload)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

// Custom method: import
const result = await truto.unifiedApi.import(
  'ticketing',
  'tickets',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    # Custom method: import
    result = await truto_api.unified_api.import(
        "ticketing",
        "tickets",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())